# Get information on swap trading fee

#### /sapi/v1/account/fee\_rate&#x20;

Request type: POST

Signature verification: Yes

Interface permission: Read

Rate Limit: Generally, the private interface rate limit of API key is at most 144 times every 3 seconds for each UID (Trade Interface: at most 72 times every 3 seconds. Read Interface: at most 72 times every 3 seconds) (this rate limit is shared by all the altcoins contracts delivered by different date).

Interface description: The interface supports cross margin mode and isolated margin mode. The request parameter "contract\_code" supports the contract code of futures, in that the format is BTC-USDT-210625. When both of pair, contract\_type and contract\_code filled in, the contract\_code is the preferred. business\_type is a required parameter when query info of futures contract, and its value must be futures or all.

### Request Address

| Environment                         | Address                                     |
| ----------------------------------- | ------------------------------------------- |
| Online                              | [https://api.sunx.io](https://api.sunx.io/) |
| Online (preferred by aws customers) | [https://api.sunx.io](https://api.sunx.io/) |

### Request Parameter

| Parameter      | Data Type | Required | Description                    | Value Range                                          | Default Value |
| -------------- | --------- | -------- | ------------------------------ | ---------------------------------------------------- | ------------- |
| contract\_code | string    | false    | contract type code             | swap: "BTC-USDT"... , future: "BTC-USDT-210625" ...  |               |
| pair           | string    | false    | pair                           | BTC-USDT                                             |               |
| contract\_type | string    | false    | contract type                  | swap, this\_week, next\_week, quarter, next\_quarter |               |
| business\_type | string    | false    | business type, default is swap | futures, swap, all                                   |               |

### Response Parameter

| Parameter         | Data Type | Required | Description                                       | Value Range                                          |
| ----------------- | --------- | -------- | ------------------------------------------------- | ---------------------------------------------------- |
| status            | string    | true     | Request Processing Result                         | "ok" , "error"                                       |
| ts                | long      | true     | Time of Respond Generation, Unit: Millisecond     |                                                      |
| \<data>           |           | false    |                                                   |                                                      |
| symbol            | string    | true     | Variety code                                      |                                                      |
| contract\_code    | string    | true     | contract type code                                | swap: "BTC-USDT"... , future: "BTC-USDT-210625" ...  |
| open\_maker\_fee  | string    | true     | Open maker order fee, decimal                     |                                                      |
| open\_taker\_fee  | string    | true     | Open taker order fee, decimal                     |                                                      |
| close\_maker\_fee | string    | true     | Close maker order fee, decimal                    |                                                      |
| close\_taker\_fee | string    | true     | Close taker order fee, decimal                    |                                                      |
| fee\_asset        | string    | true     | the corresponding cryptocurrency to the given fee | "USDT"...                                            |
| contract\_type    | string    | true     | contract type                                     | swap, this\_week, next\_week, quarter, next\_quarter |
| pair              | string    | true     | pair                                              | such as: “BTC-USDT”                                  |
| business\_type    | string    | true     | business type                                     | futures, swap                                        |
| delivery\_fee     | string    | true     | delivery fee rate                                 |                                                      |
| trade\_partition  | string    | true     | Deprecated parameter                              |                                                      |
| \</data>          |           | false    |                                                   |                                                      |

### Request Example

```
POST https://api.sunx.io/sapi/v1/account/fee_rate?SignatureVersion=2&SignatureVersion=2&AccessKeyId=<your key>&Signature=<your signature>&SignatureMethod=HmacSHA256&Timestamp=2025-09-16T07%3A16%3A15
```

### Response Example

```
{
    "status": "ok",
    "data": [
        {
            "symbol": "BTC",
            "contract_code": "BTC-USDT",
            "open_maker_fee": "0.00015",
            "open_taker_fee": "0.0004",
            "close_maker_fee": "0.00015",
            "close_taker_fee": "0.0004",
            "fee_asset": "USDT",
            "delivery_fee": "0",
            "business_type": "swap",
            "contract_type": "swap",
            "pair": "BTC-USDT",
            "trade_partition": "USDT"
        }
    ],
    "ts": 1758009960093
}
```
